package com.ruoyi.project.invoice.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.invoice.domain.TInvoiceTag;

/**
 * 工作票索引Mapper接口
 *
 * @author ruoyi
 * @date 2022-10-09
 */
public interface TInvoiceTagMapper
{
    /**
     * 查询工作票索引
     *
     * @param id 工作票索引ID
     * @return 工作票索引
     */
    public TInvoiceTag selectTInvoiceTagById(Long id);

    /**
     * 查询工作票索引列表
     *
     * @param tInvoiceTag 工作票索引
     * @return 工作票索引集合
     */
    @DataScope(deptAlias = "d")
    public List<TInvoiceTag> selectTInvoiceTagList(TInvoiceTag tInvoiceTag);

    /**
     * 新增工作票索引
     *
     * @param tInvoiceTag 工作票索引
     * @return 结果
     */
    public int insertTInvoiceTag(TInvoiceTag tInvoiceTag);

    /**
     * 修改工作票索引
     *
     * @param tInvoiceTag 工作票索引
     * @return 结果
     */
    public int updateTInvoiceTag(TInvoiceTag tInvoiceTag);

    /**
     * 删除工作票索引
     *
     * @param id 工作票索引ID
     * @return 结果
     */
    public int deleteTInvoiceTagById(Long id);

    /**
     * 批量删除工作票索引
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTInvoiceTagByIds(Long[] ids);

    int updateType(TInvoiceTag tInvoiceTag);
}
